<!DOCTYPE html>
<html>

<head>
    <title>Home Price Estimation</title>

    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>

    <!-- Materializer CSS -->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/materialize/1.0.0/css/materialize.min.css">
    <script src="https://cdnjs.cloudflare.com/ajax/libs/materialize/1.0.0/js/materialize.min.js"></script>

    <!-- Materialize Icons -->
    <link rel="stylesheet" href="https://fonts.googleapis.com/icon?family=Material+Icons">
    <link href="https://unpkg.com/material-components-web@latest/dist/material-components-web.min.css" rel="stylesheet">
    <script src="https://unpkg.com/material-components-web@latest/dist/material-components-web.min.js"></script>

    <script>

        $(document).ready(function () {
            $('select').formSelect();
            $("#submit").click(function () {
                var location = $("#location option:selected").text();
                var area = $("#area").val()
                var bhk = $("#bhk option:selected").text();
                var bathroom = $("#bathroom option:selected").text();

                var d = {
                    location: location,
                    area: area,
                    bhk: bhk,
                    bathroom: bathroom
                }

                $.post("/predict_home_price", d, function (data) {
                    $("#estimated-value").val(data.estimated_price)
                });
            });
        });

    </script>
</head>

<body>

    <nav>
        <div class="nav-wrapper">
            <a href="#" class="brand-logo center">Estimator</a>
            <ul id="nav-mobile" class="left hide-on-med-and-down">
                <li><a href="#">Home</a></li>
                <li><a href="#">About Me</a></li>
            </ul>
    </nav>
    </div>
    <div class="container">
        <div class="z-depth-1" style="margin-top: 10px; padding: 25px">

            <div class=" row">
                <div class="input-field col s6">
                    <select id="location">
                        <option value="" disabled selected>Choose your location</option>
                        {% for location in locations %}
                        <option value="{{location}}">{{location}}</option>
                        {% endfor %}
                    </select>
                    <label>Location</label>
                </div>
            </div>
            <div class="row">
                <div class="input-field col s6">
                    <input id="area" type="text" class="validate" id="area">
                    <label for="area">Area</label>
                </div>
            </div>

            <div class="row">
                <div class="input-field col s3">
                    <select id="bhk">
                        <option value="" disabled selected>--</option>
                        <option value="1">1</option>
                        <option value="2">2</option>
                        <option value="3">3</option>
                        <option value="4">4</option>
                        <option value="5">5</option>
                    </select>
                    <label>BHK</label>
                </div>
                <div class="input-field col s3 offset-s1">
                    <select id="bathroom">
                        <option value="" disabled selected>--</option>
                        <option value="1">1</option>
                        <option value="2">2</option>
                        <option value="3">3</option>
                        <option value="4">4</option>
                        <option value="5">5</option>
                    </select>
                    <label>Bathroom</label>
                </div>
            </div>
            <div class="row">
                <div class="col">
                    <button class="btn waves-effect waves-light" type="submit" name="action" id="submit">Submit
                        <i class="material-icons right">send</i>
                    </button>
                </div>
                <div class="input-field col s5 offset-s3">
                    <input disabled value="Submit First" id="estimated-value" type="text">
                    <!-- <label for="disabled">Estimated Cost</label> -->
                </div>
            </div>
        </div>
    </div>

    <footer class="page-footer">
        <!-- <div class="container">
            <div class="row">
                <div class="col l6 s12">
                    <h5 class="white-text">Footer Content</h5>
                    <p class="grey-text text-lighten-4">You can use rows and columns here to organize your footer
                        content.</p>
                </div>
                <div class="col l4 offset-l2 s12">
                    <h5 class="white-text">Links</h5>
                    <ul>
                        <li><a class="grey-text text-lighten-3" href="#!">Link 1</a></li>
                        <li><a class="grey-text text-lighten-3" href="#!">Link 2</a></li>
                        <li><a class="grey-text text-lighten-3" href="#!">Link 3</a></li>
                        <li><a class="grey-text text-lighten-3" href="#!">Link 4</a></li>
                    </ul>
                </div>
            </div>
        </div> -->
        <div class="footer-copyright">
            <div class="container">
                © 2014 Copyright Text
                <a class="grey-text text-lighten-4 right" href="#!">More Links</a>
            </div>
        </div>
    </footer>
</body>

</html>